<?php date_default_timezone_set('Europe/Berlin');
/* Das spätest mögliche Kalenderstartdatum nach einer Verschiebung liegt um $monate_vorlauf Monate vor dem aktuellen Datum, z.B.
 * Aktuelle Datum: 01.05.2013 (ein Kalenderstartdatum hat immer die Form 01.dd.jjjj)
 * $monate_vorlauf: "3" (hochkommas müssen stehen!
 * spätest mögliches Kalenderstartdatum: 01.02.2013
 * Dies verhindert, dass bei einer unbeabsichtigten Fortführung der Kalender in die "Zukunft" läuft und unbrauchbar wird.
*/ 
$monate_vorlauf="3";
$keys = array_keys($_POST);
if (count($keys)<1) {
  echo "fortfuehrenFEHLER:Unberechtigter Zugriff";
  exit();
}
$PW = $_POST[$keys[0]];
$benutzer = $_POST[$keys[1]];
$monAnzorg = $_POST[$keys[2]];
//$postAnz = $_POST[$keys[2]];

//$nr=$_GET["nr"];
//list($benutzer,$nr) = explode("@",$nr);

include './DBSafe/dbDaten.php';
include_once 'settimelimitFu.php'; //damit steht die Funktion settimelimit() zur Verfügung

$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
     echo "fortfuehrenFEHLER:Der Datenbankserver ist zur Zeit nicht erreichbar. Versuchen Sie es bitte sp&auml;ter noch einmal.";
     exit();
}
mysqli_set_charset($conn, "utf8");

$vermieterTabelle=$benutzer."0Vermieter";
$result=mysqli_query($conn, "select * from $vermieterTabelle where lan='00-00'");
if (!($row=mysqli_fetch_row($result))) {
     echo "fortfuehrenFEHLER:Die Vermietertabelle ist nicht vorhanden.";
     exit();
}
else if (mysqli_num_rows($result)<1) {
     echo "fortfuehrenFEHLER:Die Vermieterdaten sind nicht vorhanden.";
     exit();
}

if ($row[3] != $PW){
     echo "fortfuehrenFEHLER:Das Kennwort ist falsch.";
     exit();
}

$objektF = array();
$kk=0;
foreach($_POST as $k=>$v) {
  if ($kk > 2) {
	  array_push($objektF,$v);
  }
  $kk++;
}

include './multiObjekte.php';
test_multi_objektfeld($objektF);

$aktDatum=date("Y-m-d");
$spaetDatum = date("Y-m-01", strtotime(date("Y-m-d", strtotime($aktDatum))."-$monate_vorlauf month"));
//ANFANG: Kalender-Tabellen fortführen
$objAnz=sizeof($objektF);
include_once './locktables.php';
for ($i=0; $i<$objAnz; $i++) {
  $monAnz = $monAnzorg;
  settimelimit(); //timer neu starten
  $kalFeld=array();
  $monAnfF=array();
  $nr=$objektF[$i];
  $pos=0;
  if (strlen($nr) > 0){
    //Positionen im Kalender bestimmen
    $kalTab = $benutzer."0".$nr."Kalender";
    $buchTab = $benutzer."0".$nr."Buchungen";
    $datRes=mysqli_query($conn, "SELECT Nr,Anreisedatum FROM $kalTab where EXTRACT(DAY FROM Anreisedatum)=1");
    while ($datRow=mysqli_fetch_row($datRes)) {
      array_push($monAnfF,$datRow); //im Feld sind alle Datensätze (Nr,Anreisedatum) mit jjjj-mm-01
	}
    $anzJahre=round(count($monAnfF)/12);
    while ((strtotime($monAnfF[$monAnz][1]) > strtotime($spaetDatum)) && ($monAnz > 0)) {
      $monAnz--;                               //$monAnz solange veringern, bis das Startdatum kleiner
    }                                          //als das eingestellte spätest mögliche Datum ist, Abbruch bei $monAnz == 0
    if ($monAnz == 0) { //Abbruch dieses Schleifendurchlaufs, weiter mit nächstem Durchlauf
      continue;
    }
    $startDatum=$monAnfF[$monAnz][1];          //Startdatum des neuen Kalenders ($monAnz weiter)
	$startPos=$monAnfF[$monAnz][0] - ($monAnfF[$monAnz][0])%7;      //Startposition "      "
	$pos=$monAnfF[$anzJahre*12][0];            //$anzJahre*12 Monate weiter
	$endPos=$pos-1;                            //Endposition des neuen Kalenders

    //WERTE vor dem Löschen speichern

	//Startdatum des Restkalenders
	$datRes=mysqli_query($conn, "select Anreisedatum from $kalTab where Nr=$pos");
    $datRow=mysqli_fetch_row($datRes);
    $startDat=$datRow[0];

    //Anzahl der Kalendereinträge insgesamt
	$result=mysqli_query($conn, "select * from $kalTab");
    $num = mysqli_num_rows($result);

    //Einträge vom Start- bis zum Enddatum des neuen Kalenders sichern
    $kalFeld = array_slice($kalFeld, 0, 0); //array-Inhalt löschen
    for ($k=$startPos; $k <= $endPos ;  $k++) {
      $kalRes=mysqli_query($conn, "select * from $kalTab where Nr=$k");
      $kalRow=mysqli_fetch_row($kalRes);
      array_push($kalFeld,$kalRow);
    }

    //alle Werte der Tabelle löschen
    if (!mysqli_query($conn,  "DELETE FROM $kalTab")){
      echo "fortfuehrenFEHLER:Tabelleninhalt nicht gel&ouml;scht\n";
      exit();
    }

    //Ersten Teil des neuen Kalenders eintragen
    for ($k=0; $k < count($kalFeld);  $k++)  {
       $d=$kalFeld[$k][1]; $s=$kalFeld[$k][2]; $b=$kalFeld[$k][3]; $m=$kalFeld[$k][4];
       if (!mysqli_query($conn,  "INSERT INTO $kalTab VALUES($k,'$d','$s','$b','$m')")){
         echo "fortfuehrenFEHLER:Tabelleninhalt nicht kopiert\n";
         exit();
       }
    }

    //Kalender bis zum Ende auffüllen
	for ($k=0; $k < $num-count($kalFeld); $k++)  {
       $tabNr=$k+count($kalFeld);
       if (!mysqli_query($conn,  "INSERT LOW_PRIORITY INTO $kalTab VALUES($tabNr,DATE_ADD('$startDat',INTERVAL $k DAY),'B','0','0')")){
         echo "fortfuehrenFEHLER:Tabelleninhalt nicht geschrieben\n";
         exit();
       }
    }
    /*
    //Buchungstabelle aktualisieren (Alt-Anfang bis Neu-Anfang löschen)
    $neuStartDat=$kalFeld[0][1]; //Startdatum des neuen Kalenders
    if (!mysqli_query($conn,  "DELETE FROM $buchTab WHERE Anreisedatum < '$neuStartDat'")){
         echo "fortfuehrenFEHLER:Buchungen nicht gel&ouml;scht\n";
         exit();
    }
    */
  }
} //Ende Schleife
//ENDE:   Kalender-Tabellen fortführen
//Kalendertabelle aufsteigend sortieren
mysqli_query($conn, "ALTER TABLE `$kalTab` ORDER BY `Nr` ASC");
mysqli_query($conn, "UNLOCK TABLES");
/*Datenbank sichern*/
$dbenutzer=$benutzer;
$duart="KalenderFortfuehren";
include_once './DBsave.php';
echo "fortfuehrenERFOLG:";
?>