<?php
/*
Um eine neue Sprache zu implementieren benötigen Sie:
-alle 12 neuen Sprachdateien 'PräfixName.php' im Ordner 'OBS/language/Präfix/' (z.B. 'en-USanzeige.php')
-eine Flagge in png-Format der Größe 18x12px 'Präfix.png' im Ordner 'OBS/language/flags/' (z.B. 'en-US.png')
-dem unten im Programmtext stehenden array '$_lanarrayall' müssen Sie das Präfix der neuen Sprache hinzufügen.
-vor der Verwendung muss auf der Adminseite je einmal die Seite für die Preiseingabe und für die Textvorlagen geöffnet werden

Dabei ist folgendes zu beachten:
Das erste Präfix legt die 'default-Sprache' fest, die Reihenfolge der Präfixe legt die Reihenfolge der Flaggen fest, die in der Applikation bei der Sprachauswahl angezeigt werden.

Zur Festlegung einer Sprache gilt fogendes:

1. Wenn Sie Links ohne den GET-Parameter 'lan' verwenden, wird die 'default-Sprache' verwendet.
2. Wenn Sie die Links zum Aufruf des Buchungsformulars oder der Belegungsübersichten um den GET-Parameter 'lan' ergänzen, wird die entsprechende Sprache verwendet:
Beispiel zur Auswahl von British English:
http://IhreDomain/OBS/Buchung.php?id=domizil@IhrObjekt&lan=en-GB bzw. (in Javascript)
http://IhreDomain/OBS/Buchung.php?id=domizil@IhrObjekt&amp;lan=en-GB  (in html)
analog für die Aufrufe der Belegungsübersichten.

Ohne GET-Parameter oder bei einem falschen Wert des GET-Parameters wird entweder die bereits festgelegte Sprache weiter verwendet oder, falls noch keine Sprache festgelegt wurde, die 'default-Sprache'.

Außerdem kann der Kunde selbst im Buchungsformular und in den Belegungsübersichten die Sprache wechseln.

Grundsätzlich gilt, dass eine einmal ausgewählte Sprache in allen Programmteilen gilt (evt. ist nach einem Wechsel der Sprache bei den Teilen, die schon angezeigt werden und bei denen der Wechsel nicht durchgeführt wurde, ein Refresh erforderlich.
*/
$_lanarrayall=array('de-DE','en-GB','fr-FR','se-SE');//das 1.Element des Arrays ist die 'default-Sprache'
$_lanarray=array(); //Vom Benutzer bei den Einstellungen konfiguriertes und verwendetes Array

include './DBSafe/dbDaten.php';
$conn = mysqli_connect($server, $user, $passwort, $datenbank);
if (mysqli_connect_errno()) {
  exit();
}
mysqli_set_charset($conn, "utf8");
if (isset($benutzer)) {
  $lanSttabelle=$benutzer."0Vermieter";
  $result=mysqli_query($conn, "select lanSt from $lanSttabelle WHERE lan='00-00'");
  if (!$result) {
    mysqli_close($conn);
    exit();
  }
  else if (@mysqli_num_rows($result)<1) {
    mysqli_close($conn);
    exit();
  }
  $_row=mysqli_fetch_row($result);
  $_lanSt=$_row[0];
  for ($i=0; $i<strlen($_lanSt); $i++) {
    array_push($_lanarray,$_lanarrayall[$_lanSt[$i]]);
  }
}
if (count($_lanarray)==0) {
  array_push($_lanarray,$_lanarrayall[0]);
}

function getlan() {
  global $_lanarray;
  if (isset($_GET["lan"])) {
    $_lan=$_GET["lan"];
    if (!in_array($_lan,$_lanarray)) {
      if (isset($_SESSION['s_lan'])) {
        $_lan=$_SESSION['s_lan'];
      }
      else {
        $_lan=$_lanarray[0];
      }
    }
    $_SESSION['s_lan']=$_lan;
  }
  else {
    if (isset($_SESSION['s_lan'])) {
      $_lan=$_SESSION['s_lan'];
    }
    else {
      $_lan=$_lanarray[0];
      $_SESSION['s_lan']=$_lan;
    }
  }
  return $_lan;
}
?>