<?php
  require_once('./FPDI/tfpdf.php');
  class FPDF extends tFPDF {
    //Page header
    function Header()	{
      global $benutzer, $nr;
      global $pdf_headertxt,$_lan;
      $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_header_'.$nr.'.jpg';
      if (file_exists($bilddatei)) {
        $this->Image($bilddatei,0,0,210);
      }
      else {
        $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_header.jpg';
        if (file_exists($bilddatei)) {
          $this->Image($bilddatei,0,0,210);
        }
        else {
          $txt=$pdf_headertxt;
          $txt = strtr($txt, array("\r\n" => '\n', "\n" => '\n', "\r" => '\n', "<br>" => '\n'));
          $zeilen=explode('\n',$txt);
          $this->SetY(10);
          $this->SetFont('DejaVu','B',10);
          for ($z=0; $z<sizeof($zeilen);$z++) {
            $this->Cell(0,5,trim($zeilen[$z]),0,0,'L'); $this->Ln(5);
          }
        }
      }
    }
    //Page footer
    function Footer()	{
      global $benutzer,$nr;
      global $pdf_footertxt,$_lan;
      global $_pdfseite;
      $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_footer_M_'.$nr.'.jpg';
      $this->SetY(-1);//1 über dem unteren Rand
      $y = 1 + $this->GetY(); //wg.OFC
      if (file_exists($bilddatei)) {
        list($width, $height, $type, $attr) = getimagesize($bilddatei);
        $h=ceil($height*210/$width);
        $this->Image($bilddatei,0,$y-$h-10,210);
      }
      else {
        $bilddatei = './domizil/'.$_lan.'_'.$benutzer.'_footer_M.jpg';
        if (file_exists($bilddatei)) {
          list($width, $height, $type, $attr) = getimagesize($bilddatei);
          $h=ceil($height*210/$width);
          $this->Image($bilddatei,0,$y-$h-10,210);
        }
        else {
          $txt=$pdf_footertxt;
          $txt = strtr($txt, array("\r\n" => '\n', "\n" => '\n', "\r" => '\n', "<br>" => '\n'));
          $zeilen=explode('\n',$txt);
          $hoehe=0.376*8*(sizeof($zeilen)+1);
          $this->SetY($y-15-$hoehe);
          $this->SetFont('DejaVu','B',8);
          for ($z=0; $z<sizeof($zeilen);$z++) {
            $this->Cell(0,5,trim($zeilen[$z]),0,0,'L');$this->Ln(4);
          }
        }
      }
      //Page number
      $this->SetY($y-8);
      $this->Cell(0,5,$_pdfseite.' '.$this->PageNo().'/{nb}',0,0,'C');
    }
  }
  //Instanciation of inherited class
  require_once('./FPDI/fpdi.php');
  $pdf = new FPDI();
  // Add some Unicode font (uses UTF-8)
  $pdf->AddFont('DejaVu', '', 'DejaVuSansCondensed.ttf', true);
  $pdf->AddFont('DejaVu', 'B', 'DejaVuSansCondensed-Bold.ttf', true);

  $pdf->AliasNbPages();
  $pdf->SetMargins(20, 40);

  $pdf->AddPage();

  //Vertragspartner
  $pdf->SetY(40);
  $pdf->SetFont('DejaVu','',20);
  $pdf->Cell(0,10,$_mietver1,0,0,'C');

  $pdf->SetFont('DejaVu','',9);
  $pdf->Ln(15);
  if (($_lan=='de-DE')&&($hinh[1]=="Herr")) {$hinh[1]="Herrn";}
  $pdf->Cell(60,5,$_mietver2.$hinh[1]);
  $pdf->Ln(5);
  $hilfSt=$hinh[2].' '.$hinh[3].', '.$hinh[4].' '.$hinh[5].', '.$hinh[6].' '.$hinh[7];
  if ($hinh[8]!="") {$hilfSt.=', '.$hinh[8];}
  $pdf->SetFont('DejaVu','B',10);
  $pdf->Cell(60,5,$hilfSt);
  $pdf->Ln(5);
  $pdf->SetFont('DejaVu','',9);
  $pdf->Cell(60,5,$_mietver3);

  $pdf->Ln(10);
  $pdf->Cell(60,5,$_mietver4.$titel);
  $pdf->Ln(5);
  $hilfSt=$stDr.$Vorname.$tz.$Nachname.', '.$Strasse.', '.$PLZ.' '.$Wohnort;
  if ($Land!="") {$hilfSt.=', '.$Land;}
  $pdf->SetFont('DejaVu','B',10);
  $pdf->Cell(60,5,$hilfSt);
  $pdf->Ln(5);
  $pdf->SetFont('DejaVu','',9);
  $pdf->Cell(60,5,$_mietver5);

  //Vertragsdatum
  $pdf->Ln(15); $pdf->SetFont('DejaVu','B',10);
  $pdf->Cell($lS,5,$_mietver6);
  $pdf->SetFont('DejaVu','',9);
  $pdf->Cell(0,5,$pdf_Buchdatum);

  //Mietobjekt
  $pdf->Ln(10); $pdf->SetFont('DejaVu','B',10);
  $pdf->Cell($lS,5,$_mietver7);
  $pdf->SetFont('DejaVu','',9);
  $pdf->MultiCell(0,5,$alias.', '.$ObjAnschrift,0,'L');

  //Mietobjektbeschreibung
  $pdf->Ln(5); $pdf->SetFont('DejaVu','B',10);
  $pdf->Cell($lS,5,$_mietver8);
  $pdf->SetFont('DejaVu','',9);
  $pdf->MultiCell(0,5,$pdf_objBeschreibung,0,'L');

  //Buchungsdaten
  $pdf->Ln(5); $pdf->SetFont('DejaVu','B',10);
  $pdf->Cell($lS,5,$_mietver9);
  $pdf->SetFont('DejaVu','',9);
  $hSt =$_mietver10;
  $hSt.=$_mietver11.$ErwachsAnz;
  if ($Kinder1Anz != '0') {$hSt.=$_buchdat8.$Kinder1Anz;}
  if ($Kinder2Anz != '0') {$hSt.=$_buchdat9.$Kinder2Anz;}
  $pdf->Cell(0,5,$hSt);
  $ok="0";
  $pdf->Ln(5); $pdf->Cell($lS);
  if ($Verpflegung != $_verpf0) {
    $pdf->Ln(1); $pdf->Cell($lS);
    $pdf->Cell(30,5,$_buchdat10.$Verpflegung);
    $ok="1";
  }
  if ($ok=="1") {
    $pdf->Ln(5); $pdf->Cell($lS); $ok="0"; //Zeilenvorschub nur bei $ok=="1"
  }
  if ($zulei1!='') {
    @list($zulei1a,$zulei1b) = explode("\n",$zulei1);
    $pdf->Ln(1); $pdf->Cell($lS);
    $pdf->Cell(30,5,$zulei1a);
    $pdf->Ln(5); $pdf->Cell($lS);
    $pdf->MultiCell(0,5,$zulei1b,0,'L');
  }
  if ($zulei2!='') {
    @list($zulei2a,$zulei2b) = explode("\n",$zulei2);
    $pdf->Ln(1); $pdf->Cell($lS);
    $pdf->Cell(30,5,$zulei2a);
    $pdf->Ln(5); $pdf->Cell($lS);
    $pdf->MultiCell(0,5,$zulei2b,0,'L');
  }

  $pdf->Ln(1); $pdf->Cell($lS);
  $pdf->Cell(30,5,$_buchdat11); $pdf->Cell(25,5,$pdf_Anreisedatum);
  $pdf->Cell(30,5,$_buchdat12); $pdf->Cell(0,5,$pdf_Abreisedatum);
  $pdf->Ln(5); $pdf->Cell($lS);
  $pdf->Cell(30,5,$_buchdat13); $pdf->Cell(10,5,$Gesamttage);

  //Wohnungspreis
  $pdf->Ln(10); $pdf->SetFont('DejaVu','B',10);
  $x = $pdf->GetX(); $y = $pdf->GetY();
  $pdf->Cell($lS,5,$_mietver12);
  $pdf->SetFont('DejaVu','',9);$pdf->SetX($x); $pdf->SetY($y);
  if ($Restzahldatum==$Anzahldatum){
    $pdf->Cell($lS);
    $pdf->Cell(30,5,$_buchdat16);$pdf->Cell(20,5,$akt_Gesamtpreis.' '.$waehr,0,0,'R');
    $pdf->SetX($pdf->GetX()-2); $pdf->Cell(0,5,$restfaell);
    if ($Optionencode[0]=='1') {
      $pdf->Ln(5); $pdf->Cell($lS);
      $pdf->Cell(30,5,$_buchdat20);$pdf->Cell(20,5,$tagesPreisSt.' '.$waehr,0,0,'R');
      $pdf->Cell(0,5,$_buchdat21);
    }
  }
  else {
    $pdf->Cell($lS);
    $pdf->Cell(30,5,$_buchdat16);$pdf->Cell(20,5,$akt_Gesamtpreis.' '.$waehr,0,0,'R');
    if ($Optionencode[0]=='1') {
      $pdf->Ln(5); $pdf->Cell($lS);
      $pdf->Cell(30,5,$_buchdat20);$pdf->Cell(20,5,$tagesPreisSt.' '.$waehr,0,0,'R');
      $pdf->Cell(0,5,$_buchdat21);
    }
    $pdf->Ln(5); $pdf->Cell($lS);
    $pdf->Cell(30,5,$_buchdat17);$pdf->Cell(20,5,$akt_Anzahlung.' '.$waehr,0,0,'R');
    $pdf->SetX($pdf->GetX()-2); $pdf->Cell(0,5,$anfaell);
    $pdf->Ln(5); $pdf->Cell($lS);
    $pdf->Cell(30,5,$_buchdat18);$pdf->Cell(20,5,$akt_Restzahlung.' '.$waehr,0,0,'R');
    $pdf->SetX($pdf->GetX()-2); $pdf->Cell(0,5,$restfaell);
  }
  $rabatttxt=getrabattstr($benutzer,$endPreisStrProz, "PDF", $waehr, $_rabatttext11, $_rabatttext12, $_rabatttext1, $_rabatttext2, $_rabatttext3);
  if (strlen($rabatttxt) > 0) {
    $pdf->Ln(7); $pdf->Cell($lS);
    $pdf->MultiCell(0,5,$rabatttxt,0,'L');
  }
  //Zusatztext
  if ($pdf_zusatzText!="") {
    $pdf->Ln(15);
    $pdf->MultiCell(0,5,$pdf_zusatzText,0,'L');
  }

  $objInd = 1;
  $mietObjDatei = "./domizil/".$_lan."_".$benutzer."_Obj_M_".$nr.".pdf";
  if (!file_exists($mietObjDatei)){
    $mietObjDatei = "./domizil/".$_lan."_".$benutzer."_Obj_M.pdf";
  }
  if (!file_exists($mietObjDatei)){
    $objInd = 0;
  }
  $allgInd = 1;
  $allgBestDatei = "./domizil/".$_lan."_".$benutzer."_AGB_M_".$nr.".pdf";
  if (!file_exists($allgBestDatei)){
    $allgBestDatei = "./domizil/".$_lan."_".$benutzer."_AGB_M.pdf";
  }
  if (!file_exists($allgBestDatei)){
    $allgInd = 0;
  }

  //Datei Mietobjekt anhängen,falls vorhanden
  if ($objInd == 1) {
    $pagecount = $pdf->setSourceFile($mietObjDatei);
    for ($i=1; $i <= $pagecount; $i++){
      $tplidx = $pdf->ImportPage($i);
      $pdf->addPage();
      $pdf->useTemplate($tplidx,0,40);
    }
  }
  //Datei Allgemeine Vertragsbestimmungen anhängen, falls vorhanden
  if ($allgInd == 1){
    $pagecount = $pdf->setSourceFile($allgBestDatei);
    for ($i=1; $i <= $pagecount; $i++){
      $tplidx = $pdf->ImportPage($i);
      $pdf->addPage();
      $pdf->useTemplate($tplidx,0,40);
    }
  }
?>