<?php date_default_timezone_set('Europe/Berlin');
/*
Format der übergebenen Daten:yyyy-mm-dd.
Die Datenbank muss geöffnet sein.
Wenn das Restzahlungsdatum in der Vergangenheit liegt, wird der Anzahlungsbetrag mit 0.00 ausgewiesen
und die Restzahlung ist die Gesamtzahlung. Wenn sich die Termine von An- und Restzahlung bis zu
der Anzahl von Tagen, die in der Variablen $AnRestBereich festgelegt ist, unterscheiden,
gilt das Gleiche wie oben, z.B.
  $AnRestBereich=14: bis einschl. 14 Tage Differenz keine Anzahlung, Gesamtzahlung zum Restzahlungstermin
Wenn das Datum einer Zahlung weniger als $minZahlTage Tage nach dem Buchdatum liegt, wird diese Zeitspanne
auf $minZahlTage Tage erhöht, höchstens aber bis zum Anreisedatum.
*/
function zahldaten($anDat,$buchDat,$verbenutzer) {
  $minZahlTage=3;
  global $conn, $_scriptName;
  $_scriptN=basename($_SERVER['PHP_SELF']);
	 $vertabelle=$verbenutzer."0Vermieter";
  $verresult=@mysqli_query($conn, "select * from $vertabelle where lan='00-00'");
  $anzRows = @mysqli_num_rows($verresult);
  if ($anzRows < 1){
    if ($_scriptName=="preisBerechnung.php") {
      fehlerMeldung("MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptN);
    }
    else {
      echo "FEHLER: MySQL-ERROR: ".mysqli_errno($conn)." in ".$_scriptN;
    }
	   mysqli_close($conn);
	   exit();
	 }
	 $verrow = mysqli_fetch_row($verresult);
	 $AnProzent=$verrow[11];
	 $AnFrist=$verrow[12];
	 $RestFrist=$verrow[13];
	 $AnRestBereich=(int)$verrow[14];
	 if (strtotime($anDat."-$RestFrist days")-strtotime($buchDat) <= 0){
	   //Restzahldatum vor Buchdatum
	  	$Anzahldatum=date("Y-m-d",strtotime($buchDat));
	   $Restzahldatum=date("Y-m-d",strtotime($buchDat));
 	}
 	else {
	   $Anzahldatum=date("Y-m-d",strtotime($buchDat."+$AnFrist days"));
	   $Restzahldatum=date("Y-m-d",strtotime($anDat."-$RestFrist days"));
	   if ($AnProzent==0){
	     $Anzahldatum=$Restzahldatum;
	   }
	   elseif (strtotime($Restzahldatum)-strtotime($Anzahldatum)<=$AnRestBereich*86400){
	     //Anzahldatum und Restzahldatum liegen höchstens $tageZwischeAnundRestzahlung Tage auseinander
			   $Anzahldatum=$Restzahldatum;
	   }
	 }
	 //Kulanz: Restzahldatum soll mindestens $minZahlTage Tage nach dem Buchdatum liegen, aber vor dem Anreisedatum
	 while ((strtotime($Restzahldatum)-strtotime($buchDat)< $minZahlTage*86400)&&
	       (strtotime($Restzahldatum)<strtotime($anDat))) {
	   $Restzahldatum=date("Y-m-d",strtotime($Restzahldatum."+1 days"));
	   $Anzahldatum=$Restzahldatum;
	 }

	 return array($Anzahldatum,$Restzahldatum);
}
	//Einbinden der Funktion:
	//require './zahlTermineFu.php'; (oder require_once oder include oder include_once)
	//$dateheute=date("Y-m-d");      (oder das Buchdatum)
	//$datenFeld=zahldaten($anDat,$dateheute,$benutzer); (hier Aufruf der Funktion)
	//$anzahlDatum=$datenFeld[0];    (Formate: yyyy-mm-dd)
	//$restzahlDatum=$datenFeld[1];
?>